/****** Object:  Trigger [TRG_EST_PROD_CPL_CUSTO_ZERADO_PENDENTE]    Script Date: 30/04/15 11:46:53 ******/
IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_PROD_CPL_CUSTO_ZERADO_PENDENTE]'))
DROP TRIGGER [dbo].[TRG_EST_PROD_CPL_CUSTO_ZERADO_PENDENTE]
GO
GO
CREATE TRIGGER [dbo].[TRG_EST_PROD_CPL_CUSTO_ZERADO_PENDENTE] ON [dbo].[EST_PROD_CPL] 
FOR INSERT
AS
	INSERT INTO EST_PROD_CPL_CUSTO_ZERADO_PENDENTE
		SELECT
			i.CD_EMP,
			i.CD_FILIAL,
			i.CD_PROD,
			GETDATE()
		FROM
			INSERTED i LEFT OUTER JOIN EST_PROD_CPL_CUSTO_ZERADO_PENDENTE ON
			i.CD_EMP = EST_PROD_CPL_CUSTO_ZERADO_PENDENTE.CD_EMP AND
			i.CD_FILIAL = EST_PROD_CPL_CUSTO_ZERADO_PENDENTE.CD_FILIAL AND
			i.CD_PROD = EST_PROD_CPL_CUSTO_ZERADO_PENDENTE.CD_PROD 
		WHERE	
			i.VLR_CUSTO_MD=0
			AND EST_PROD_CPL_CUSTO_ZERADO_PENDENTE.CD_PROD IS NULL

